org.eclipse.jetty.server.handler

## Class MovedContextHandler

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.util.component.AggregateLifeCycle
    - - org.eclipse.jetty.server.handler.AbstractHandler
      - - org.eclipse.jetty.server.handler.AbstractHandlerContainer
        - - org.eclipse.jetty.server.handler.HandlerWrapper
          - - org.eclipse.jetty.server.handler.ScopedHandler
            - - org.eclipse.jetty.server.handler.ContextHandler
              - - org.eclipse.jetty.server.handler.MovedContextHandler

All Implemented Interfaces:
  Handler, HandlerContainer, Server.Graceful, Attributes, Destroyable, Dumpable, LifeCycle

    public class MovedContextHandler
    extends ContextHandler

Moved ContextHandler. This context can be used to replace a context that has changed location. Requests are redirected (either to a fixed URL or to a new context base).

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.server.handler.ContextHandler

`ContextHandler.AliasCheck, ContextHandler.ApproveNonExistentDirectoryAliases, ContextHandler.ApprovePathPrefixAliases, ContextHandler.ApproveSameSuffixAliases, ContextHandler.Context`

### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`AbstractLifeCycle.AbstractLifeCycleListener`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`LifeCycle.Listener`

### Field Summary

### Fields inherited from class org.eclipse.jetty.server.handler.ContextHandler

`_scontext, MANAGED_ATTRIBUTES`

### Fields inherited from class org.eclipse.jetty.server.handler.ScopedHandler

`_nextScope, _outerScope`

### Fields inherited from class org.eclipse.jetty.server.handler.HandlerWrapper

`_handler`

### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

### Constructor Summary

Constructors
Constructor and Description
`MovedContextHandler()`
`MovedContextHandler(HandlerContainer parent, String contextPath, String newContextURL)`

### Method Summary

Methods
`String` `getExpires()`
`String` `getNewContextURL()`
`boolean` `isDiscardPathInfo()`
`boolean` `isDiscardQuery()`
`boolean` `isPermanent()`
`void` `setDiscardPathInfo(boolean discardPathInfo)`
`void` `setDiscardQuery(boolean discardQuery)`
`void` `setExpires(String expires)`
`void` `setNewContextURL(String newContextURL)`
`void` `setPermanent(boolean permanent)`

### Methods inherited from class org.eclipse.jetty.server.handler.ContextHandler

`addAliasCheck, addEventListener, addLocaleEncoding, addVirtualHosts, callContextDestroyed, callContextInitialized, checkContext, checkManagedAttribute, clearAttributes, doHandle, doScope, doStart, doStop, dump, getAliasChecks, getAllowNullPathInfo, getAttribute, getAttributeNames, getAttributes, getBaseResource, getClassLoader, getClassPath, getConnectorNames, getContextPath, getCurrentContext, getDisplayName, getErrorHandler, getEventListeners, getInitParameter, getInitParameterNames, getInitParams, getLocaleEncoding, getLocaleEncoding, getLogger, getMaxFormContentSize, getMaxFormKeys, getMimeTypes, getProtectedTargets, getResource, getResourceBase, getResourcePaths, getServletContext, getVirtualHosts, getWelcomeFiles, handle, isAliases, isAvailable, isCompactPath, isProtectedTarget, isShutdown, loadClass, newResource, newResource, removeAttribute, removeVirtualHosts, restrictEventListener, setAliases, setAllowNullPathInfo, setAttribute, setAttributes, setAvailable, setBaseResource, setClassLoader, setCompactPath, setConnectorNames, setContextPath, setDisplayName, setErrorHandler, setEventListeners, setInitParameter, setLogger, setManagedAttribute, setMaxFormContentSize, setMaxFormKeys, setMimeTypes, setProtectedTargets, setResourceBase, setServer, setShutdown, setVirtualHosts, setWelcomeFiles, startContext, toString`

### Methods inherited from class org.eclipse.jetty.server.handler.ScopedHandler

`handle, never, nextHandle, nextScope`

### Methods inherited from class org.eclipse.jetty.server.handler.HandlerWrapper

`destroy, expandChildren, getHandler, getHandlers, getNestedHandlerByClass, setHandler`

### Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandlerContainer

`expandHandler, findContainerOf, getChildHandlerByClass, getChildHandlers, getChildHandlersByClass`

### Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandler

`dumpThis, getServer`

### Methods inherited from class org.eclipse.jetty.util.component.AggregateLifeCycle

`addBean, addBean, contains, dump, dump, dump, dump, dumpObject, dumpStdErr, getBean, getBeans, getBeans, isManaged, manage, removeBean, removeBeans, unmanage`

### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`addLifeCycleListener, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jetty.server.Handler

`destroy, getServer, handle`

### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Constructor Detail

#### MovedContextHandler

    public MovedContextHandler()

#### MovedContextHandler

    public MovedContextHandler(HandlerContainer parent,
                       String contextPath,
                       String newContextURL)

### Method Detail

#### isDiscardPathInfo

    public boolean isDiscardPathInfo()

#### setDiscardPathInfo

    public void setDiscardPathInfo(boolean discardPathInfo)

#### getNewContextURL

    public String getNewContextURL()

#### setNewContextURL

    public void setNewContextURL(String newContextURL)

#### isPermanent

    public boolean isPermanent()

#### setPermanent

    public void setPermanent(boolean permanent)

#### isDiscardQuery

    public boolean isDiscardQuery()

#### setDiscardQuery

    public void setDiscardQuery(boolean discardQuery)

#### getExpires

    public String getExpires()

Returns:
  the expires header value or null if no expires header

#### setExpires

    public void setExpires(String expires)

Parameters:
  `expires` - the expires header value or null if no expires header